﻿

/* =================================================================
   with IT業務支援
================================================================== */
.with-it-business-support{
  .hero__image-pc{
    width: 769px;
    image-rendering: -webkit-optimize-contrast;
  }
  .step-wrapper{
    gap: 40px;
  }
}

.section.section--what {
    position: relative;
    z-index: 10;
    padding-top: 92px;
}
.what__content-wrapper {
    max-width: 1160px;
    margin-left: auto;
    margin-right: auto;
    display: flex;
    flex-direction: column;
    align-items: center;
    gap: 48px;
}

.what__content-wrapper .section-subtitle{
    margin: 0;
}
.section-subtitle{
    color: #334155;
}
.services-section__title {
    font-size:32px;
  }

.service-cards-grid {
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  gap: 16px;
  list-style: none;
  padding: 0;
  margin: 0;
  position: relative;
}
.service-cards-grid::after{
    content: "";
    flex: 0 1 calc(50% - 8px);
    max-width: 163px;
    display: block;
}

.service-card {
  background-color: white;
  border-radius: 12px;
  padding: 32px 12px;
  border: 1px solid #E2E8F0;
  text-align: center;
  flex: 0 1 calc(50% - 8px); 
  max-width: 163px;
  display: flex;
  flex-direction: column;
  justify-content: flex-start;
  align-items: center;
  gap: 16px;
}

.service-card__icon {
  width: 80px;
  height: 80px;
  background-color: rgba(230, 240, 255, 0.54);
  border-radius: 12px;
  display: flex;
  justify-content: center;
  align-items: center;
}

.service-card__title {
  font-size: 16px;
  font-weight: 700;
  color: #004AA6;
}

.service-card__description {
  font-size: 14px;
  font-weight: 500;
  color: #334155;
  margin: 0;
  display: flex;
  align-items: flex-start;
  justify-content: center;
  text-align: left;
}
@media (max-width: 768px) {
  .service-card__icon img {
    width: 40px;
  }
}
@media (min-width: 769px) {
  .section.step{
    padding-bottom: 0;
  }
  .section.plan{
    padding-top: 80px;
  }
  .what__content-wrapper {
      gap: 72px;
  }
  .services-section__title {
    font-size: 48px;
  }

  .service-cards-grid {
    gap: 24px;
    justify-content: center;
  }
  .service-cards-grid::after{
    content: none;
  }

  .service-card {
    flex: 0 1 calc(25% - 24px); 
    max-width: 266px;
    padding: 40px 28px;
  }

  .service-card__icon{
    width: 116px;
    height: 116px;
  }

  .service-card__title {
    font-size: 24px;
  }

  .service-card__description {
    font-size: 16px;
    min-height: 60px;
  }
  .what__content-wrapper .section-subtitle{
    text-align: center;
}
}
/* =================================================================
   特徴
================================================================== */
.step-wrapper.-box-blue{
  padding: 64px 16px 40px;
}

@media (min-width: 769px) {
    .with-it-business-support .step-wrapper{
        gap: 114px;
    }
    .with-it-business-support .step-content{
        padding-left: 0;
    }
    .with-it-business-support .step-item{
        max-width: 1050px;
        gap: 56px;
    }
    .section.step .step-image{
      width: 46.953%;
      flex-shrink: 0;
    }
    .step-item:nth-child(2 of .step-item) .step-image{
        flex-basis: 53.429%;
        flex-shrink: 0;
    }
    .speech-bubble{
      left: auto!important;
      right: 11%;
    }
}
@media (min-width: 900px) {
  .speech-bubble{
      right: 15%;
    }
}
@media (min-width: 1100px) {
  .speech-bubble{
      right: 16.6328%;
    }
}
@media (min-width: 1200px) {
  .speech-bubble{
      right: 82px;
    }
}

@media (max-width: 768px) {

  .with-it-business-support .speech-bubble{
      top: auto;
      bottom: -35px;
      left: 50%;
      transform: translate(-50%);
  }
  .with-it-business-support .speech-bubble::after{
      bottom: auto;
      top: -30px;
      left: 50%;
      border-style: solid;
      border-width: 0 9px 15px 9px;
      border-color: transparent transparent #1a75ff;
  }
  .with-it-business-support .step-image:has(.speech-bubble) {
      margin-bottom:16px;
  }
}

/* =================================================================
   料金プラン
================================================================== */

.plan-wrapper {
    width: 100%;
    display: flex;
    flex-direction: column;
    gap: 32px;
}
.plan-wrapper.-box-blue{
    padding: 64px 21.5px;
}
.plan-inner{
  background: #ffffff;
  border-radius: 24px;
  padding: 48px 24px;
  margin-bottom: 40px;
}
.plan-inner:last-child{
    margin-bottom: 0;
}

.plan-category__title {
  background-color: #1A75FF;
  color: #ffffff;
  font-size: 16px;
  font-weight: 500;
  text-align: center;
  padding: 6px;
  border-radius: 8px 8px 0 0;
  margin-bottom: 40px;
  height: 30px;
  line-height: 1;
}

.plan-cards-wrapper {
  display: flex;
  flex-direction: column;
  align-items: center;
}

.plan-card {
  padding: 0 0 60px;
  text-align: center;
  width: 100%;
  box-sizing: border-box;
  border-bottom: 1px solid #ccc;
}
.plan-card + .plan-card{
     padding: 60px 16px 70px;
}

.plan-card__title {
  font-size: 20px;
  font-weight: 700;
  margin-top: 0;
  margin-bottom: 32px;
  color: #1E293B;
}

.plan-card__hours {
  font-size: 14px;
  color: #64758B;
  margin-bottom: 24px;
}

.plan-card__price {
  font-size: 40px;
  font-weight: 700;
  color: #1E293B;
  margin-bottom: 42px;
  line-height: 1;
}

.plan-card__price-yen,
.plan-card__price-unit {
  font-size: 14px;
  vertical-align: middle;
  font-weight: 500;
}

.plan-card__price-yen {
    margin-right: 2px;
}
.plan-card__price-unit {
    margin-left: 2px;
}

.plan-card--option {
  padding-bottom: 38px; 
  text-align: left;
}

.plan-card--option .plan-card__title,
.plan-card--option .plan-card__hours,
.plan-card--option .plan-card__price {
    text-align: center; 
    width: 100%;
}
.plan-card--option .plan-card__price{
    position: relative;
    margin-bottom: 136px;
}
.plan-card--option .plan-card__price::after{
    content: "";
    position: absolute;
    left: 50%;
    bottom: -88px;
    width: 100%;
    height: 1px;
    background-color: #CBD5E1;
    transform: translateX(-50%);
}
.plan-content + .plan-content .plan-category__title{
    background-color: #64758B;
}
.plan-card:last-child.plan-card--option{
    border-bottom: none;
    padding: 38px 0 0;
}

.plan-card__notes-list {
  list-style: none;
  padding: 0;
  margin-top: 25px;
  margin-bottom: 0;
  width: 100%;
}

.plan-card__notes-list li {
  position: relative;
  padding-left: 15px;
  margin-bottom: 24px;
  font-size: 14px;
  font-weight: 400;
  line-height: 1.5;
  color: #334155;
}

.plan-card__notes-list li:last-child {
  margin-bottom: 0;
}

.plan-card__notes-list li::before {
  content: "•"; 
  position: absolute;
  left: 0;
  top: 2px;
  color: #334155;
  font-size: 1em;
  line-height: 1;
}

.plan-card__notes-asterisk {
  font-size: 14px;
  font-weight: 400;
  color: #64758B;
}

.notes-section {
  margin-top: 32px;
  margin-bottom: 72px;
}

.notes-list {
  list-style: none;
  padding: 0;
  margin: 0;
}

.notes-list li {
  position: relative;
  padding-left: 15px;
  margin-bottom: 24px;
  font-size: 14px;
  font-weight: 400;
  color: #334155;
}

.notes-list li:last-child {
  margin-bottom: 0;
}

.notes-list li::before {
  content: "•";
  position: absolute;
  left: 0;
  top: 2px;
  color: #334155;
  font-size: 14px;
  line-height: 1;
}

.notes-list__sub-text {
  vertical-align: middle;
  margin-left: 5px;
}


@media (min-width: 769px) {
    .plan-wrapper.-box-blue{
        padding: 160px 21.5px;
    }
    .plan-inner {
        padding: 64px 100px;
        margin-left: auto;
        margin-right: auto;
        max-width: 900px;
        width: 100%;
     }
     .plan-content{
        box-sizing: content-box;
    }
    .plan-content + .plan-content{
        margin-top: 32px;
    }

        
  .plan-category__title {
    padding: 6px 30px;
    margin: 0;
  }

  .plan-cards-wrapper {
    flex-direction: row;
    justify-content: center;
    align-items: flex-start;
    flex-wrap: wrap;
    gap: 30px;
    padding: 32px 40px 48px;
    position: relative;
    border-left: 1px solid #ccc;
    border-right: 1px solid #ccc;
  }
  .plan-cards-wrapper::after {
        content: "";
        position: absolute;
        left: 50%;
        bottom: 0;
        width: 88%;
        height: 1px;
        background-color: #ccc;
        transform: translateX(-50%);
    }
    .plan-content + .plan-content .plan-cards-wrapper{
        border-bottom: 1px solid #ccc;
        border-radius: 0 0 8px 8px;
    }

  .plan-card {
    flex: 0 1 calc(50% - 16px);
    max-width: 284px;
    padding: 16px 0 24px;
    border: none;
    position: relative;
  }
  .plan-card::after {
        content: "";
        position: absolute;
        top: 0;
        right: -15px;
        bottom: 0;
        width: 1px;
        background-color: #ccc;
        transform: translateX(-50%);
    }
    .plan-card + .plan-card{padding: 16px 0 24px; }
    .plan-card + .plan-card::after { content: none;}
    .plan-card--option .plan-card__notes-list {text-align: left;}
    .plan-card.plan-card--option{ padding: 16px 24px 24px;}
    .plan-card:last-child.plan-card--option{ padding: 16px 24px 24px;}
    .plan-content + .plan-content .plan-cards-wrapper::after {content: none;}

  .notes-section {
    padding:32px 64px 60px;
    margin-top: 0;
    margin-bottom: 32px;
    max-width: 700px;
    border-left: 1px solid #ccc;
    border-right: 1px solid #ccc;
    border-bottom: 1px solid #ccc;
    border-radius: 0 0 8px 8px;
  }

  .notes-list li {
    margin-bottom: 10px;
  }
}
